# Class TBrowserInfoList

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFChromiumCore

## Declaration

`type TBrowserInfoList = class(TList)`

## Description

This item has no description.

## Hierarchy

- TObject
- TList
- TBrowserInfoList

## Overview

### Methods

| `procedure SetBrowserIsClosing(aID : integer; aValue : boolean);`
| `function GetBrowserIsClosing(aID : integer) : boolean;`
| `function GetBrowserIsValid(aID : integer) : boolean;`
| `function GetBrowser(aID : integer) : ICefBrowser;`
| `function GetFirstBrowser: ICefBrowser;`
| `function GetFirstID: integer;`
| `destructor Destroy; override;`
| `function AddBrowser(const aBrowser : ICefBrowser) : boolean;`
| `function RemoveBrowser(const aBrowser : ICefBrowser) : boolean;`
| `function SearchBrowser(aID : integer) : integer;`
| `procedure FreeAndClearAllItems;`
| `procedure CloseAllBrowsers;`

### Properties

| `property BrowserIsClosing[aID: integer]: boolean read GetBrowserIsClosing write SetBrowserIsClosing;`
| `property BrowserIsValid[aID: integer]: boolean read GetBrowserIsValid;`
| `property Browser[aID: integer]: ICefBrowser read GetBrowser;`
| `property FirstBrowser : ICefBrowser read GetFirstBrowser;`
| `property FirstID : integer read GetFirstID;`

## Description

### Methods

| `procedure SetBrowserIsClosing(aID : integer; aValue : boolean);`
This item has no description.

| `function GetBrowserIsClosing(aID : integer) : boolean;`
This item has no description.

| `function GetBrowserIsValid(aID : integer) : boolean;`
This item has no description.

| `function GetBrowser(aID : integer) : ICefBrowser;`
This item has no description.

| `function GetFirstBrowser: ICefBrowser;`
This item has no description.

| `function GetFirstID: integer;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `function AddBrowser(const aBrowser : ICefBrowser) : boolean;`
This item has no description.

| `function RemoveBrowser(const aBrowser : ICefBrowser) : boolean;`
This item has no description.

| `function SearchBrowser(aID : integer) : integer;`
This item has no description.

| `procedure FreeAndClearAllItems;`
This item has no description.

| `procedure CloseAllBrowsers;`
This item has no description.

### Properties

| `property BrowserIsClosing[aID: integer]: boolean read GetBrowserIsClosing write SetBrowserIsClosing;`
This item has no description.

| `property BrowserIsValid[aID: integer]: boolean read GetBrowserIsValid;`
This item has no description.

| `property Browser[aID: integer]: ICefBrowser read GetBrowser;`
This item has no description.

| `property FirstBrowser : ICefBrowser read GetFirstBrowser;`
This item has no description.

| `property FirstID : integer read GetFirstID;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.